Bug 1253362 - [host-update-manager] operation failed - we do support more states than maintenance for update
[host-update-manager] operation failed - we do support more states than maint...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: General (Show other bugs)
---
Unspecified Unspecified
low Severity low (vote)
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Moti Asayag
Jiri Belka
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 10:29 EDT by Jiri Belka
Modified: 2016-02-10 14:13 EST (History)
8 users (show)

See Also:
Fixed In Version: 3.6.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:19:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44997 master MERGED core: List upgrade host failure statuses in message Never
oVirt gerrit 45275 ovirt-engine-3.6 MERGED core: List upgrade host failure statuses in message Never

  None (edit)
Description Jiri Belka 2015-08-13 10:29:54 EDT
Description of problem:

a host was in connecting (blocked via iptables for testing), executed upgrade via restapi POST:

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<action>
    <status>
        <state>failed</state>
    </status>
    <fault>
        <reason>Operation Failed</reason>
        <detail>[Cannot install Host. Please move Host to Maintenance mode first.]</detail>
    </fault>
</action>

IIRC we do support following states for upgrade:
- up
- maintenance
- non-operational

so the message detail is confusing.

Version-Release number of selected component (if applicable):
ovirt-engine-backend-3.6.0-0.0.master.20150804111407.git122a3a0.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. have available rpm updates for your host
2. host should be in a state but up|maintenance|non-operational (blocking ip connection between host-engine causes the host become non-responding, good!)
3. execute restapi POST upgrade against /hosts/$uuid/upgrade

Actual results:
        <reason>Operation Failed</reason>
        <detail>[Cannot install Host. Please move Host to Maintenance mode first.]</detail>


Expected results:
message should either list supported states or better just state the status is not supported (and bonus info should be in documentation).

Additional info:
Comment 1 Jiri Belka 2015-10-16 07:05:56 EDT
ok, rhevm-backend-3.6.0-0.18.el6.noarch

while a host was in non-responding state

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<action>
    <status>
        <state>failed</state>
    </status>
    <fault>
        <reason>Operation Failed</reason>
        <detail>[Cannot upgrade Host. Valid Host statuses for upgrade are Up, Maintenance or Non-Operational.]</detail>
    </fault>
</action>
Comment 2 Sandro Bonazzola 2015-11-04 06:19:15 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.